unit output;

{$mode objfpc}{$H+}

interface

uses
  Classes, Forms, Controls, StdCtrls, Buttons;

type

  { TfrmOutput }

  TfrmOutput = class(TForm)
    btnClose: TBitBtn;
    mmText: TMemo;
    procedure btnCloseClick(Sender: TObject);
    procedure mmTextKeyPress(Sender: TObject; var Key: char);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmOutput: TfrmOutput;

implementation

{$R *.lfm}

{ TfrmOutput }

procedure TfrmOutput.btnCloseClick(Sender: TObject);
begin
   ModalResult := mrOK;
end;

procedure TfrmOutput.mmTextKeyPress(Sender: TObject; var Key: char);
begin
   if (Key = #13) or (Key = #27) then
      btnClose.Click;
end;

end.

